import request from '@/utils/request'
//获取列表
export function getInfo(data) {
  return request({
    url: '/inventory/getBillDefineActionList',
    method: 'post',
    params: data
  })
}
//增加
export function addInfo(data) {
  return request({
    url: '/inventory/addBillDefineAction',
    method: 'post',
    params: data
  })
}

//通id获取详情
export function getInfoById(data) {
  return request({
    url: '/inventory/getBillDefineAction',
    method: 'post',
    params: data
  })
}
//修改
export function updateInfo(data) {
  return request({
    url: '/inventory/updateBillDefineAction',
    method: 'post',
    params: data
  })
}

//获取流程步骤操作人员列表
export function getBillDefineActionRoleUserList(data) {
  return request({
    url: '/inventory/getBillDefineActionRoleUserList',
    method: 'post',
    params: data
  })
}

//获取用户列表
export function listUser(data) {
  return request({
    url: '/system/getLoginUserList',
    method: 'post',
    params: data
  })
}
//增加流程步骤操作人员
export function addBillDefineActionRoleUser(data) {
  return request({
    url: '/inventory/addBillDefineActionRoleUser',
    method: 'post',
    params: data
  })
}
//删除流程步骤操作人员
export function deleteBillDefineActionRoleUser(data) {
  return request({
    url: '/inventory/deleteBillDefineActionRoleUser',
    method: 'post',
    params: data
  })
}
